Skip to navigation

Security Advisory mc security update

Advisory: RHSA-2004:172-06
Type: Security Advisory
Severity: Important
Issued on: 2004-05-19
Last updated on: 2004-05-19
Affected Products: Red Hat Enterprise Linux AS (v. 2.1)
Red Hat Enterprise Linux WS (v. 2.1)
Red Hat Linux Advanced Workstation 2.1 for the Itanium Processor
CVEs (cve.mitre.org): CVE-2004-0226
CVE-2004-0231
CVE-2004-0232

Details

Updated mc packages that resolve several buffer overflow vulnerabilities,
one format string vulnerability and several temporary file creation
vulnerabilities are now available.

Midnight Commander (mc) is a visual shell much like a file manager.

Several buffer overflows, several temporary file creation vulnerabilities,
and one format string vulnerability have been discovered in Midnight
Commander. These vulnerabilities were discovered mostly by Andrew V.
Samoilov and Pavel Roskin. The Common Vulnerabilities and Exposures
project (cve.mitre.org) has assigned the names CAN-2004-0226,
CAN-2004-0231, and CAN-2004-0232 to these issues.

Users should upgrade to these updated packages, which contain a backported
patch to correct these issues.


Solution

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

To update all RPMs for your particular architecture, run:

rpm -Fvh [filenames]

where [filenames] is a list of the RPMs you wish to upgrade. Only those
RPMs which are currently installed will be updated. Those RPMs which are
not installed but included in the list will not be updated. Note that you
can also use wildcards (*.rpm) if your current directory *only* contains the
desired RPMs.

Please note that this update is also available via Red Hat Network. Many
people find this an easier way to apply updates. To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

If up2date fails to connect to Red Hat Network due to SSL
Certificate Errors, you need to install a version of the
up2date client with an updated certificate. The latest version of
up2date is available from the Red Hat FTP site and may also be
downloaded directly from the RHN website:

https://rhn.redhat.com/help/latest-up2date.pxt

Updated packages

Red Hat Enterprise Linux AS (v. 2.1)

SRPMS:
mc-4.5.51-36.3.src.rpm
File outdated by:  RHSA-2005:512
    MD5: 69d7683f72d9ac712eb39cc63247a5d8
mc-4.5.51-36.3.src.rpm
File outdated by:  RHSA-2005:512
    MD5: 69d7683f72d9ac712eb39cc63247a5d8
 
IA-32:
gmc-4.5.51-36.3.i386.rpm
File outdated by:  RHSA-2005:512
    MD5: efb76ce0632282e986498da9686eadce
mc-4.5.51-36.3.i386.rpm
File outdated by:  RHSA-2005:512
    MD5: 9b839e9a80d9b9dbc24817017abc8138
mcserv-4.5.51-36.3.i386.rpm
File outdated by:  RHSA-2005:512
    MD5: 009c85fb3ace26ad47a41d1361fa896c
 
IA-64:
gmc-4.5.51-36.3.ia64.rpm
File outdated by:  RHSA-2005:512
    MD5: 42b64c84297114f968f5514687805ff3
mc-4.5.51-36.3.ia64.rpm
File outdated by:  RHSA-2005:512
    MD5: d1edb24a25b05c019b58783c01f2f7b0
mcserv-4.5.51-36.3.ia64.rpm
File outdated by:  RHSA-2005:512
    MD5: 9b2c8414fca8ab771aa0d6c024cdc797
 
Red Hat Enterprise Linux WS (v. 2.1)

SRPMS:
mc-4.5.51-36.3.src.rpm
File outdated by:  RHSA-2005:512
    MD5: 69d7683f72d9ac712eb39cc63247a5d8
mc-4.5.51-36.3.src.rpm
File outdated by:  RHSA-2005:512
    MD5: 69d7683f72d9ac712eb39cc63247a5d8
 
IA-32:
gmc-4.5.51-36.3.i386.rpm
File outdated by:  RHSA-2005:512
    MD5: efb76ce0632282e986498da9686eadce
mc-4.5.51-36.3.i386.rpm
File outdated by:  RHSA-2005:512
    MD5: 9b839e9a80d9b9dbc24817017abc8138
mcserv-4.5.51-36.3.i386.rpm
File outdated by:  RHSA-2005:512
    MD5: 009c85fb3ace26ad47a41d1361fa896c
 
Red Hat Linux Advanced Workstation 2.1 for the Itanium Processor

SRPMS:
mc-4.5.51-36.3.src.rpm
File outdated by:  RHSA-2005:512
    MD5: 69d7683f72d9ac712eb39cc63247a5d8
mc-4.5.51-36.3.src.rpm
File outdated by:  RHSA-2005:512
    MD5: 69d7683f72d9ac712eb39cc63247a5d8
 
IA-64:
gmc-4.5.51-36.3.ia64.rpm
File outdated by:  RHSA-2005:512
    MD5: 42b64c84297114f968f5514687805ff3
mc-4.5.51-36.3.ia64.rpm
File outdated by:  RHSA-2005:512
    MD5: d1edb24a25b05c019b58783c01f2f7b0
mcserv-4.5.51-36.3.ia64.rpm
File outdated by:  RHSA-2005:512
    MD5: 9b2c8414fca8ab771aa0d6c024cdc797
 

Bugs fixed (see bugzilla for more information)

118302 - One more buffer overflow in mc's vfs code


References


Keywords

buffer, file, format, mc, overflow, string, temporary


These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/